﻿using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Text;
using SlimDX;

namespace TutorialSeries.DirectX10.Chapter6
{
    [StructLayout(LayoutKind.Sequential)]
    public struct Vertex
    {
        public Vector3 Position;
        public Vector2 TexCoord;

        public Vertex(Vector3 position, Vector2 texCoord)
        {
            this.Position = position;
            this.TexCoord = texCoord;
        }
    }
}
